/*===========================================================================*/
/*   (Object/predicate.scm)                                                  */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Object/predicate.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_feffectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_readz00;
   obj_t BgL_writez00;
} *BgL_feffectz00_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
   obj_t BgL_widezd2typezd2;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_wclassz00_bgl {
   obj_t BgL_itszd2classzd2;
} *BgL_wclassz00_bglt;

typedef struct BgL_slotz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_srcz00;
   obj_t BgL_classzd2ownerzd2;
   obj_t BgL_typez00;
   bool_t BgL_readzd2onlyzf3z21;
   obj_t BgL_defaultzd2valuezd2;
   obj_t BgL_virtualzd2numzd2;
   obj_t BgL_getterz00;
   obj_t BgL_setterz00;
   obj_t BgL_indexedz00;
   obj_t BgL_userzd2infozd2;
} *BgL_slotz00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


static obj_t BGl_methodzd2initzd2zzobject_predicatez00();
BGL_IMPORT obj_t open_input_string(obj_t);
extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
static obj_t BGl__genzd2classzd2predz122413z12zzobject_predicatez00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_tclassz00zzobject_classz00;
extern obj_t BGl_epairifyza2za2zztools_miscz00(obj_t, obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
BGL_EXPORTED_DECL obj_t BGl_genzd2classzd2predz12z12zzobject_predicatez00(BgL_tclassz00_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
BGL_EXPORTED_DECL obj_t BGl_importzd2classzd2predz12z12zzobject_predicatez00(BgL_tclassz00_bglt, obj_t, obj_t);
extern obj_t BGl_importzd2parserzd2zzmodule_impusez00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzobject_predicatez00();
static obj_t BGl__importzd2javazd2classzd2predz122417zc0zzobject_predicatez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzobject_predicatez00();
static bool_t BGl_inlinezd2predzf3z21zzobject_predicatez00();
extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
extern obj_t BGl_jclassz00zzobject_classz00;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzobject_predicatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_structz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_importzd2javazd2classzd2predz12zc0zzobject_predicatez00(BgL_jclassz00_bglt, obj_t, obj_t);
static obj_t BGl_genzd2javazd2classzd2predz12zc0zzobject_predicatez00(BgL_jclassz00_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_za2passza2z00zzengine_paramz00;
static obj_t BGl__importzd2classzd2predz122415z12zzobject_predicatez00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzobject_predicatez00 = BUNSPEC;
extern obj_t BGl_za2profilezd2modeza2zd2zzengine_paramz00;
static obj_t BGl_libraryzd2moduleszd2initz00zzobject_predicatez00();
extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
static obj_t __cnst[ 19 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_genzd2classzd2predz12zd2envzc0zzobject_predicatez00, BgL_bgl__genza7d2classza7d2predza7122413za712za7za7object_predicateza7002465za7, BGl__genzd2classzd2predz122413z12zzobject_predicatez00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_importzd2classzd2predz12zd2envzc0zzobject_predicatez00, BgL_bgl__importza7d2classza7d2predza7122415za712za7za7object_predicateza7002466za7, BGl__importzd2classzd2predz122415z12zzobject_predicatez00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_importzd2javazd2classzd2predz12zd2envz12zzobject_predicatez00, BgL_bgl__importza7d2javaza7d2classza7d2predza7122417za7c0za7za7object_predicateza7002467z00, BGl__importzd2javazd2classzd2predz122417zc0zzobject_predicatez00, 0L, 3 );
DEFINE_STRING( BGl_string2438z00zzobject_predicatez00, BgL_bgl_string2438za700za7za7object_predicateza7002468z00, "export isa static define define-inline effect no-cfa-top predicate-of pragma ::obj inline super super- @ is-a? obj ?::bool ? (make-heap make-add-heap) ", 151 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzobject_predicatez00(long BgL_checksumz00_734, char * BgL_fromz00_735)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzobject_predicatez00))
{ 
BGl_requirezd2initializa7ationz75zzobject_predicatez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzobject_predicatez00(); 
BGl_cnstzd2initzd2zzobject_predicatez00(); 
BGl_importedzd2moduleszd2initz00zzobject_predicatez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzobject_predicatez00()
{ AN_OBJECT;
{ /* ./Object/predicate.scm 21 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "object_predicate"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "object_predicate"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "object_predicate"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "object_predicate"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzobject_predicatez00()
{ AN_OBJECT;
{ /* ./Object/predicate.scm 21 */
{ /* ./Object/predicate.scm 21 */
obj_t BgL_cportz00_727;
BgL_cportz00_727 = 
open_input_string(BGl_string2438z00zzobject_predicatez00); 
{ 
long BgL_iz00_728;
BgL_iz00_728 = ((long)18); 
BgL_loopz00_729:
{ /* ./Object/predicate.scm 21 */
bool_t BgL_test2440z00_730;
BgL_test2440z00_730 = 
(BgL_iz00_728==((long)-1)); 
if(BgL_test2440z00_730)
{ /* ./Object/predicate.scm 21 */
return BUNSPEC;}  else 
{ /* ./Object/predicate.scm 21 */
{ /* ./Object/predicate.scm 21 */
obj_t BgL_arg2442z00_731;
{ /* ./Object/predicate.scm 21 */
obj_t BgL_list2445z00_732;
BgL_list2445z00_732 = 
MAKE_PAIR(BgL_cportz00_727, BNIL); 
BgL_arg2442z00_731 = 
BGl_readz00zz__readerz00(BgL_list2445z00_732); } 
{ /* ./Object/predicate.scm 21 */
int BgL_auxz00_751;
BgL_auxz00_751 = 
(int)(BgL_iz00_728); 
CNST_TABLE_SET(BgL_auxz00_751, BgL_arg2442z00_731); } } 
{ /* ./Object/predicate.scm 21 */
int BgL_auxz00_733;
{ /* ./Object/predicate.scm 21 */
long BgL_auxz00_754;
BgL_auxz00_754 = 
(BgL_iz00_728-((long)1)); 
BgL_auxz00_733 = 
(int)(BgL_auxz00_754); } 
{ 
long BgL_iz00_757;
BgL_iz00_757 = 
(long)(BgL_auxz00_733); 
BgL_iz00_728 = BgL_iz00_757; 
goto BgL_loopz00_729;} } } } } } } 
}



/* inline-pred? */
bool_t BGl_inlinezd2predzf3z21zzobject_predicatez00()
{ AN_OBJECT;
{ /* ./Object/predicate.scm 49 */
{ /* ./Object/predicate.scm 50 */
bool_t BgL__andtest_1886z00_377;
{ /* ./Object/predicate.scm 50 */
bool_t BgL__ortest_1887z00_379;
{ /* ./Object/predicate.scm 50 */
bool_t BgL_test1891z00_380;
{ /* ./Object/predicate.scm 50 */
bool_t BgL_res2410z00_690;
{ /* ./Object/predicate.scm 50 */
obj_t BgL_objz00_686;
BgL_objz00_686 = BGl_za2profilezd2modeza2zd2zzengine_paramz00; 
if(
INTEGERP(BgL_objz00_686))
{ /* ./Object/predicate.scm 50 */
BgL_res2410z00_690 = ((bool_t)1); }  else 
{ /* ./Object/predicate.scm 50 */
BgL_res2410z00_690 = 
REALP(BgL_objz00_686); } } 
BgL_test1891z00_380 = BgL_res2410z00_690; } 
if(BgL_test1891z00_380)
{ /* ./Object/predicate.scm 50 */
BgL__ortest_1887z00_379 = ((bool_t)0); }  else 
{ /* ./Object/predicate.scm 50 */
BgL__ortest_1887z00_379 = ((bool_t)1); } } 
if(BgL__ortest_1887z00_379)
{ /* ./Object/predicate.scm 50 */
BgL__andtest_1886z00_377 = BgL__ortest_1887z00_379; }  else 
{ /* ./Object/predicate.scm 51 */
long BgL_n1z00_691;
BgL_n1z00_691 = 
(long)CINT(BGl_za2profilezd2modeza2zd2zzengine_paramz00); 
BgL__andtest_1886z00_377 = 
(BgL_n1z00_691<((long)1)); } } 
if(BgL__andtest_1886z00_377)
{ /* ./Object/predicate.scm 52 */
bool_t BgL_test1888z00_378;
{ /* ./Object/predicate.scm 52 */
obj_t BgL_auxz00_767;
BgL_auxz00_767 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BGl_za2passza2z00zzengine_paramz00, 
CNST_TABLE_REF(((long)0))); 
BgL_test1888z00_378 = 
CBOOL(BgL_auxz00_767); } 
if(BgL_test1888z00_378)
{ /* ./Object/predicate.scm 52 */
return ((bool_t)0);}  else 
{ /* ./Object/predicate.scm 52 */
return ((bool_t)1);} }  else 
{ /* ./Object/predicate.scm 50 */
return ((bool_t)0);} } } 
}



/* gen-class-pred! */
BGL_EXPORTED_DEF obj_t BGl_genzd2classzd2predz12z12zzobject_predicatez00(BgL_tclassz00_bglt BgL_classz00_1, obj_t BgL_srczd2defzd2_2, obj_t BgL_importz00_3)
{ AN_OBJECT;
{ /* ./Object/predicate.scm 60 */
{ /* ./Object/predicate.scm 61 */
obj_t BgL_idz00_381;
{ /* ./Object/predicate.scm 61 */
BgL_typez00_bglt BgL_obj1003z00_693;
BgL_obj1003z00_693 = 
(BgL_typez00_bglt)(BgL_classz00_1); 
BgL_idz00_381 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_693))->BgL_idz00); } 
{ /* ./Object/predicate.scm 61 */
obj_t BgL_idzf3zf3_382;
{ /* ./Object/predicate.scm 62 */
obj_t BgL_list2070z00_452;
{ /* ./Object/predicate.scm 62 */
obj_t BgL_arg2072z00_453;
{ /* ./Object/predicate.scm 62 */
obj_t BgL_auxz00_774;
BgL_auxz00_774 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg2072z00_453 = 
MAKE_PAIR(BgL_auxz00_774, BNIL); } 
BgL_list2070z00_452 = 
MAKE_PAIR(BgL_idz00_381, BgL_arg2072z00_453); } 
BgL_idzf3zf3_382 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2070z00_452); } 
{ /* ./Object/predicate.scm 62 */
obj_t BgL_predzd2idzd2_383;
{ /* ./Object/predicate.scm 63 */
obj_t BgL_list2064z00_450;
{ /* ./Object/predicate.scm 63 */
obj_t BgL_arg2066z00_451;
{ /* ./Object/predicate.scm 63 */
obj_t BgL_auxz00_779;
BgL_auxz00_779 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2066z00_451 = 
MAKE_PAIR(BgL_auxz00_779, BNIL); } 
BgL_list2064z00_450 = 
MAKE_PAIR(BgL_idz00_381, BgL_arg2066z00_451); } 
BgL_predzd2idzd2_383 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2064z00_450); } 
{ /* ./Object/predicate.scm 63 */
BgL_globalz00_bglt BgL_holderz00_384;
{ 
obj_t BgL_auxz00_784;
{ /* ./Object/predicate.scm 64 */
BgL_objectz00_bglt BgL_auxz00_785;
BgL_auxz00_785 = 
(BgL_objectz00_bglt)(BgL_classz00_1); 
BgL_auxz00_784 = 
BGL_OBJECT_WIDENING(BgL_auxz00_785); } 
BgL_holderz00_384 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_784))->BgL_holderz00); } 
{ /* ./Object/predicate.scm 64 */
obj_t BgL_objz00_385;
{ /* ./Object/predicate.scm 65 */
obj_t BgL_arg2059z00_449;
BgL_arg2059z00_449 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)3)), BEOA); 
BgL_objz00_385 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2059z00_449); } 
{ /* ./Object/predicate.scm 65 */
obj_t BgL_superz00_386;
{ 
obj_t BgL_auxz00_793;
{ /* ./Object/predicate.scm 66 */
BgL_objectz00_bglt BgL_auxz00_794;
BgL_auxz00_794 = 
(BgL_objectz00_bglt)(BgL_classz00_1); 
BgL_auxz00_793 = 
BGL_OBJECT_WIDENING(BgL_auxz00_794); } 
BgL_superz00_386 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_793))->BgL_itszd2superzd2); } 
{ /* ./Object/predicate.scm 66 */

{ 

{ /* ./Object/predicate.scm 69 */
bool_t BgL_test1893z00_388;
BgL_test1893z00_388 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_386, BGl_tclassz00zzobject_classz00); 
if(BgL_test1893z00_388)
{ /* ./Object/predicate.scm 73 */
obj_t BgL_superzd2predzd2idz00_389;obj_t BgL_superzd2typedzd2_390;
{ /* ./Object/predicate.scm 73 */
obj_t BgL_list2015z00_431;
{ /* ./Object/predicate.scm 73 */
obj_t BgL_arg2018z00_432;obj_t BgL_arg2019z00_433;
BgL_arg2018z00_432 = 
CNST_TABLE_REF(((long)6)); 
BgL_arg2019z00_433 = 
MAKE_PAIR(BgL_predzd2idzd2_383, BNIL); 
BgL_list2015z00_431 = 
MAKE_PAIR(BgL_arg2018z00_432, BgL_arg2019z00_433); } 
BgL_superzd2predzd2idz00_389 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2015z00_431); } 
{ /* ./Object/predicate.scm 74 */
obj_t BgL_arg2023z00_434;obj_t BgL_arg2025z00_435;
BgL_arg2023z00_434 = 
CNST_TABLE_REF(((long)7)); 
{ /* ./Object/predicate.scm 74 */
BgL_typez00_bglt BgL_obj1003z00_697;
BgL_obj1003z00_697 = 
(BgL_typez00_bglt)(BgL_superz00_386); 
BgL_arg2025z00_435 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_697))->BgL_idz00); } 
BgL_superzd2typedzd2_390 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_arg2023z00_434, BgL_arg2025z00_435); } 
{ /* ./Object/predicate.scm 77 */
obj_t BgL_arg1895z00_391;
{ /* ./Object/predicate.scm 77 */
bool_t BgL_test1897z00_392;
BgL_test1897z00_392 = 
BGl_inlinezd2predzf3z21zzobject_predicatez00(); 
if(BgL_test1897z00_392)
{ /* ./Object/predicate.scm 78 */
obj_t BgL_arg1902z00_393;
{ /* ./Object/predicate.scm 78 */
obj_t BgL_arg1905z00_394;
{ /* ./Object/predicate.scm 78 */
obj_t BgL_arg1911z00_396;obj_t BgL_arg1915z00_397;
BgL_arg1911z00_396 = 
CNST_TABLE_REF(((long)8)); 
{ /* ./Object/predicate.scm 78 */
obj_t BgL_arg1919z00_398;
{ /* ./Object/predicate.scm 78 */
obj_t BgL_auxz00_811;
BgL_auxz00_811 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg1919z00_398 = 
MAKE_PAIR(BgL_auxz00_811, BNIL); } 
BgL_arg1915z00_397 = 
MAKE_PAIR(BgL_predzd2idzd2_383, BgL_arg1919z00_398); } 
BgL_arg1905z00_394 = 
MAKE_PAIR(BgL_arg1911z00_396, BgL_arg1915z00_397); } 
BgL_arg1902z00_393 = 
MAKE_PAIR(BgL_arg1905z00_394, BNIL); } 
BgL_arg1895z00_391 = 
MAKE_PAIR(BgL_importz00_3, BgL_arg1902z00_393); }  else 
{ /* ./Object/predicate.scm 79 */
obj_t BgL_arg1924z00_399;
{ /* ./Object/predicate.scm 79 */
obj_t BgL_arg1928z00_400;
{ /* ./Object/predicate.scm 79 */
obj_t BgL_arg1933z00_402;
{ /* ./Object/predicate.scm 79 */
obj_t BgL_auxz00_818;
BgL_auxz00_818 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg1933z00_402 = 
MAKE_PAIR(BgL_auxz00_818, BNIL); } 
BgL_arg1928z00_400 = 
MAKE_PAIR(BgL_predzd2idzd2_383, BgL_arg1933z00_402); } 
BgL_arg1924z00_399 = 
MAKE_PAIR(BgL_arg1928z00_400, BNIL); } 
BgL_arg1895z00_391 = 
MAKE_PAIR(BgL_importz00_3, BgL_arg1924z00_399); } } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg1895z00_391); } 
{ /* ./Object/predicate.scm 81 */
obj_t BgL_arg1938z00_403;
{ /* ./Object/predicate.scm 81 */
obj_t BgL_arg1941z00_404;obj_t BgL_arg1945z00_405;
BgL_arg1941z00_404 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Object/predicate.scm 81 */
obj_t BgL_arg1948z00_406;
{ /* ./Object/predicate.scm 81 */
obj_t BgL_arg1952z00_408;
{ /* ./Object/predicate.scm 81 */
obj_t BgL_arg1955z00_409;obj_t BgL_arg1956z00_410;
{ /* ./Object/predicate.scm 81 */
obj_t BgL_arg1960z00_411;obj_t BgL_arg1962z00_412;
BgL_arg1960z00_411 = 
CNST_TABLE_REF(((long)11)); 
{ /* ./Object/predicate.scm 81 */
obj_t BgL_arg1965z00_413;
{ /* ./Object/predicate.scm 81 */
BgL_typez00_bglt BgL_obj1003z00_698;
BgL_obj1003z00_698 = 
(BgL_typez00_bglt)(BgL_classz00_1); 
BgL_arg1965z00_413 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_698))->BgL_idz00); } 
BgL_arg1962z00_412 = 
MAKE_PAIR(BgL_arg1965z00_413, BNIL); } 
BgL_arg1955z00_409 = 
MAKE_PAIR(BgL_arg1960z00_411, BgL_arg1962z00_412); } 
{ /* ./Object/predicate.scm 81 */
obj_t BgL_arg1970z00_415;obj_t BgL_arg1971z00_416;
BgL_arg1970z00_415 = 
CNST_TABLE_REF(((long)12)); 
{ /* ./Object/predicate.scm 82 */
obj_t BgL_arg1974z00_417;
{ /* ./Object/predicate.scm 82 */
obj_t BgL_auxz00_832;
BgL_auxz00_832 = 
CNST_TABLE_REF(((long)13)); 
BgL_arg1974z00_417 = 
MAKE_PAIR(BgL_auxz00_832, BNIL); } 
BgL_arg1971z00_416 = 
MAKE_PAIR(BgL_arg1974z00_417, BNIL); } 
BgL_arg1956z00_410 = 
MAKE_PAIR(BgL_arg1970z00_415, BgL_arg1971z00_416); } 
BgL_arg1952z00_408 = 
MAKE_PAIR(BgL_arg1955z00_409, BgL_arg1956z00_410); } 
BgL_arg1948z00_406 = 
MAKE_PAIR(BgL_idzf3zf3_382, BgL_arg1952z00_408); } 
BgL_arg1945z00_405 = 
MAKE_PAIR(BgL_arg1948z00_406, BNIL); } 
BgL_arg1938z00_403 = 
MAKE_PAIR(BgL_arg1941z00_404, BgL_arg1945z00_405); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg1938z00_403); } 
{ /* ./Object/predicate.scm 85 */
obj_t BgL_arg1981z00_419;
{ /* ./Object/predicate.scm 85 */
obj_t BgL_arg1987z00_421;
{ /* ./Object/predicate.scm 85 */
obj_t BgL_arg1993z00_423;obj_t BgL_arg1994z00_424;
if(
BGl_inlinezd2predzf3z21zzobject_predicatez00())
{ /* ./Object/predicate.scm 85 */
BgL_arg1993z00_423 = 
CNST_TABLE_REF(((long)14)); }  else 
{ /* ./Object/predicate.scm 85 */
BgL_arg1993z00_423 = 
CNST_TABLE_REF(((long)15)); } 
{ /* ./Object/predicate.scm 86 */
obj_t BgL_arg2000z00_426;obj_t BgL_arg2001z00_427;
{ /* ./Object/predicate.scm 86 */
obj_t BgL_arg2005z00_428;
BgL_arg2005z00_428 = 
MAKE_PAIR(BgL_objz00_385, BNIL); 
BgL_arg2000z00_426 = 
MAKE_PAIR(BgL_predzd2idzd2_383, BgL_arg2005z00_428); } 
{ /* ./Object/predicate.scm 87 */
obj_t BgL_arg2010z00_429;
{ /* ./Object/predicate.scm 68 */
obj_t BgL_arg2032z00_437;obj_t BgL_arg2033z00_438;
BgL_arg2032z00_437 = 
CNST_TABLE_REF(((long)4)); 
{ /* ./Object/predicate.scm 68 */
obj_t BgL_arg2037z00_439;
{ /* ./Object/predicate.scm 68 */
obj_t BgL_arg2040z00_440;
{ /* ./Object/predicate.scm 68 */
obj_t BgL_arg2044z00_442;obj_t BgL_arg2045z00_443;
BgL_arg2044z00_442 = 
CNST_TABLE_REF(((long)5)); 
{ /* ./Object/predicate.scm 68 */
obj_t BgL_arg2048z00_444;obj_t BgL_arg2049z00_445;
{ /* ./Object/predicate.scm 68 */
BgL_variablez00_bglt BgL_obj1093z00_701;
BgL_obj1093z00_701 = 
(BgL_variablez00_bglt)(BgL_holderz00_384); 
BgL_arg2048z00_444 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1093z00_701))->BgL_idz00); } 
{ /* ./Object/predicate.scm 68 */
obj_t BgL_arg2053z00_446;
BgL_arg2053z00_446 = 
(((BgL_globalz00_bglt)CREF(BgL_holderz00_384))->BgL_modulez00); 
BgL_arg2049z00_445 = 
MAKE_PAIR(BgL_arg2053z00_446, BNIL); } 
BgL_arg2045z00_443 = 
MAKE_PAIR(BgL_arg2048z00_444, BgL_arg2049z00_445); } 
BgL_arg2040z00_440 = 
MAKE_PAIR(BgL_arg2044z00_442, BgL_arg2045z00_443); } 
BgL_arg2037z00_439 = 
MAKE_PAIR(BgL_arg2040z00_440, BNIL); } 
BgL_arg2033z00_438 = 
MAKE_PAIR(BgL_objz00_385, BgL_arg2037z00_439); } 
BgL_arg2010z00_429 = 
MAKE_PAIR(BgL_arg2032z00_437, BgL_arg2033z00_438); } 
BgL_arg2001z00_427 = 
MAKE_PAIR(BgL_arg2010z00_429, BNIL); } 
BgL_arg1994z00_424 = 
MAKE_PAIR(BgL_arg2000z00_426, BgL_arg2001z00_427); } 
BgL_arg1987z00_421 = 
MAKE_PAIR(BgL_arg1993z00_423, BgL_arg1994z00_424); } 
{ /* ./Object/predicate.scm 85 */
obj_t BgL_list1989z00_422;
BgL_list1989z00_422 = 
MAKE_PAIR(BgL_srczd2defzd2_2, BNIL); 
BgL_arg1981z00_419 = 
BGl_epairifyza2za2zztools_miscz00(BgL_arg1987z00_421, BgL_list1989z00_422); } } 
{ /* ./Object/predicate.scm 84 */
obj_t BgL_list1983z00_420;
BgL_list1983z00_420 = 
MAKE_PAIR(BgL_arg1981z00_419, BNIL); 
return BgL_list1983z00_420;} } }  else 
{ /* ./Object/predicate.scm 69 */
return BNIL;} } } } } } } } } } } 
}



/* _gen-class-pred!2413 */
obj_t BGl__genzd2classzd2predz122413z12zzobject_predicatez00(obj_t BgL_envz00_715, obj_t BgL_classz00_716, obj_t BgL_srczd2defzd2_717, obj_t BgL_importz00_718)
{ AN_OBJECT;
{ /* ./Object/predicate.scm 60 */
return 
BGl_genzd2classzd2predz12z12zzobject_predicatez00(
(BgL_tclassz00_bglt)(BgL_classz00_716), BgL_srczd2defzd2_717, BgL_importz00_718);} 
}



/* import-class-pred! */
BGL_EXPORTED_DEF obj_t BGl_importzd2classzd2predz12z12zzobject_predicatez00(BgL_tclassz00_bglt BgL_classz00_4, obj_t BgL_srczd2defzd2_5, obj_t BgL_modulez00_6)
{ AN_OBJECT;
{ /* ./Object/predicate.scm 93 */
{ /* ./Object/predicate.scm 94 */
bool_t BgL_test2076z00_454;
BgL_test2076z00_454 = 
BGl_inlinezd2predzf3z21zzobject_predicatez00(); 
if(BgL_test2076z00_454)
{ /* ./Object/predicate.scm 94 */
return 
BGl_genzd2classzd2predz12z12zzobject_predicatez00(BgL_classz00_4, BgL_srczd2defzd2_5, 
CNST_TABLE_REF(((long)16)));}  else 
{ /* ./Object/predicate.scm 98 */
obj_t BgL_idz00_455;
{ /* ./Object/predicate.scm 98 */
BgL_typez00_bglt BgL_obj1003z00_703;
BgL_obj1003z00_703 = 
(BgL_typez00_bglt)(BgL_classz00_4); 
BgL_idz00_455 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_703))->BgL_idz00); } 
{ /* ./Object/predicate.scm 98 */
obj_t BgL_idzf3zf3_456;
{ /* ./Object/predicate.scm 99 */
obj_t BgL_list2097z00_466;
{ /* ./Object/predicate.scm 99 */
obj_t BgL_arg2099z00_467;
{ /* ./Object/predicate.scm 99 */
obj_t BgL_auxz00_873;
BgL_auxz00_873 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg2099z00_467 = 
MAKE_PAIR(BgL_auxz00_873, BNIL); } 
BgL_list2097z00_466 = 
MAKE_PAIR(BgL_idz00_455, BgL_arg2099z00_467); } 
BgL_idzf3zf3_456 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2097z00_466); } 
{ /* ./Object/predicate.scm 99 */
obj_t BgL_predzd2idzd2_457;
{ /* ./Object/predicate.scm 100 */
obj_t BgL_list2091z00_464;
{ /* ./Object/predicate.scm 100 */
obj_t BgL_arg2093z00_465;
{ /* ./Object/predicate.scm 100 */
obj_t BgL_auxz00_878;
BgL_auxz00_878 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2093z00_465 = 
MAKE_PAIR(BgL_auxz00_878, BNIL); } 
BgL_list2091z00_464 = 
MAKE_PAIR(BgL_idz00_455, BgL_arg2093z00_465); } 
BgL_predzd2idzd2_457 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2091z00_464); } 
{ /* ./Object/predicate.scm 101 */
obj_t BgL_superz00_459;
{ 
obj_t BgL_auxz00_883;
{ /* ./Object/predicate.scm 102 */
BgL_objectz00_bglt BgL_auxz00_884;
BgL_auxz00_884 = 
(BgL_objectz00_bglt)(BgL_classz00_4); 
BgL_auxz00_883 = 
BGL_OBJECT_WIDENING(BgL_auxz00_884); } 
BgL_superz00_459 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_883))->BgL_itszd2superzd2); } 
{ /* ./Object/predicate.scm 102 */

{ /* ./Object/predicate.scm 103 */
bool_t BgL_test2078z00_460;
BgL_test2078z00_460 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_459, BGl_tclassz00zzobject_classz00); 
if(BgL_test2078z00_460)
{ /* ./Object/predicate.scm 105 */
obj_t BgL_arg2080z00_461;
{ /* ./Object/predicate.scm 105 */
obj_t BgL_arg2084z00_463;
{ /* ./Object/predicate.scm 105 */
obj_t BgL_auxz00_890;
BgL_auxz00_890 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg2084z00_463 = 
MAKE_PAIR(BgL_auxz00_890, BNIL); } 
BgL_arg2080z00_461 = 
MAKE_PAIR(BgL_predzd2idzd2_457, BgL_arg2084z00_463); } 
BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_6, BgL_arg2080z00_461, BNIL); }  else 
{ /* ./Object/predicate.scm 103 */BFALSE; } } 
return BNIL;} } } } } } } 
}



/* _import-class-pred!2415 */
obj_t BGl__importzd2classzd2predz122415z12zzobject_predicatez00(obj_t BgL_envz00_719, obj_t BgL_classz00_720, obj_t BgL_srczd2defzd2_721, obj_t BgL_modulez00_722)
{ AN_OBJECT;
{ /* ./Object/predicate.scm 93 */
return 
BGl_importzd2classzd2predz12z12zzobject_predicatez00(
(BgL_tclassz00_bglt)(BgL_classz00_720), BgL_srczd2defzd2_721, BgL_modulez00_722);} 
}



/* gen-java-class-pred! */
obj_t BGl_genzd2javazd2classzd2predz12zc0zzobject_predicatez00(BgL_jclassz00_bglt BgL_classz00_7, obj_t BgL_srczd2defzd2_8, obj_t BgL_mclausez00_9)
{ AN_OBJECT;
{ /* ./Object/predicate.scm 115 */
{ /* ./Object/predicate.scm 116 */
obj_t BgL_idz00_468;
{ /* ./Object/predicate.scm 116 */
BgL_typez00_bglt BgL_obj1003z00_707;
BgL_obj1003z00_707 = 
(BgL_typez00_bglt)(BgL_classz00_7); 
BgL_idz00_468 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_707))->BgL_idz00); } 
{ /* ./Object/predicate.scm 116 */
obj_t BgL_idzf3zf3_469;
{ /* ./Object/predicate.scm 117 */
obj_t BgL_list2207z00_515;
{ /* ./Object/predicate.scm 117 */
obj_t BgL_arg2209z00_516;
{ /* ./Object/predicate.scm 117 */
obj_t BgL_auxz00_899;
BgL_auxz00_899 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg2209z00_516 = 
MAKE_PAIR(BgL_auxz00_899, BNIL); } 
BgL_list2207z00_515 = 
MAKE_PAIR(BgL_idz00_468, BgL_arg2209z00_516); } 
BgL_idzf3zf3_469 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2207z00_515); } 
{ /* ./Object/predicate.scm 117 */
obj_t BgL_predzd2idzd2_470;
{ /* ./Object/predicate.scm 118 */
obj_t BgL_list2201z00_513;
{ /* ./Object/predicate.scm 118 */
obj_t BgL_arg2203z00_514;
{ /* ./Object/predicate.scm 118 */
obj_t BgL_auxz00_904;
BgL_auxz00_904 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2203z00_514 = 
MAKE_PAIR(BgL_auxz00_904, BNIL); } 
BgL_list2201z00_513 = 
MAKE_PAIR(BgL_idz00_468, BgL_arg2203z00_514); } 
BgL_predzd2idzd2_470 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2201z00_513); } 
{ /* ./Object/predicate.scm 118 */
obj_t BgL_objz00_471;
{ /* ./Object/predicate.scm 119 */
obj_t BgL_arg2197z00_512;
BgL_arg2197z00_512 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)3)), BEOA); 
BgL_objz00_471 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2197z00_512); } 
{ /* ./Object/predicate.scm 120 */

{ 

{ /* ./Object/predicate.scm 125 */
obj_t BgL_arg2105z00_474;
{ /* ./Object/predicate.scm 125 */
obj_t BgL_arg2108z00_475;
{ /* ./Object/predicate.scm 125 */
obj_t BgL_arg2111z00_476;
{ /* ./Object/predicate.scm 125 */
obj_t BgL_arg2115z00_478;obj_t BgL_arg2116z00_479;
BgL_arg2115z00_478 = 
CNST_TABLE_REF(((long)8)); 
{ /* ./Object/predicate.scm 125 */
obj_t BgL_arg2119z00_480;
{ /* ./Object/predicate.scm 125 */
obj_t BgL_auxz00_914;
BgL_auxz00_914 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg2119z00_480 = 
MAKE_PAIR(BgL_auxz00_914, BNIL); } 
BgL_arg2116z00_479 = 
MAKE_PAIR(BgL_predzd2idzd2_470, BgL_arg2119z00_480); } 
BgL_arg2111z00_476 = 
MAKE_PAIR(BgL_arg2115z00_478, BgL_arg2116z00_479); } 
BgL_arg2108z00_475 = 
MAKE_PAIR(BgL_arg2111z00_476, BNIL); } 
BgL_arg2105z00_474 = 
MAKE_PAIR(BgL_mclausez00_9, BgL_arg2108z00_475); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg2105z00_474); } 
{ /* ./Object/predicate.scm 127 */
obj_t BgL_arg2123z00_481;
{ /* ./Object/predicate.scm 127 */
obj_t BgL_arg2126z00_482;obj_t BgL_arg2127z00_483;
BgL_arg2126z00_482 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Object/predicate.scm 127 */
obj_t BgL_arg2132z00_484;
{ /* ./Object/predicate.scm 127 */
obj_t BgL_arg2136z00_486;
{ /* ./Object/predicate.scm 127 */
obj_t BgL_arg2139z00_487;obj_t BgL_arg2141z00_488;
{ /* ./Object/predicate.scm 127 */
obj_t BgL_arg2144z00_489;obj_t BgL_arg2145z00_490;
BgL_arg2144z00_489 = 
CNST_TABLE_REF(((long)11)); 
{ /* ./Object/predicate.scm 127 */
obj_t BgL_arg2148z00_491;
{ /* ./Object/predicate.scm 127 */
BgL_typez00_bglt BgL_obj1003z00_709;
BgL_obj1003z00_709 = 
(BgL_typez00_bglt)(BgL_classz00_7); 
BgL_arg2148z00_491 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_709))->BgL_idz00); } 
BgL_arg2145z00_490 = 
MAKE_PAIR(BgL_arg2148z00_491, BNIL); } 
BgL_arg2139z00_487 = 
MAKE_PAIR(BgL_arg2144z00_489, BgL_arg2145z00_490); } 
{ /* ./Object/predicate.scm 127 */
obj_t BgL_arg2153z00_493;obj_t BgL_arg2154z00_494;
BgL_arg2153z00_493 = 
CNST_TABLE_REF(((long)12)); 
{ /* ./Object/predicate.scm 127 */
obj_t BgL_arg2157z00_495;
{ /* ./Object/predicate.scm 127 */
obj_t BgL_auxz00_929;
BgL_auxz00_929 = 
CNST_TABLE_REF(((long)13)); 
BgL_arg2157z00_495 = 
MAKE_PAIR(BgL_auxz00_929, BNIL); } 
BgL_arg2154z00_494 = 
MAKE_PAIR(BgL_arg2157z00_495, BNIL); } 
BgL_arg2141z00_488 = 
MAKE_PAIR(BgL_arg2153z00_493, BgL_arg2154z00_494); } 
BgL_arg2136z00_486 = 
MAKE_PAIR(BgL_arg2139z00_487, BgL_arg2141z00_488); } 
BgL_arg2132z00_484 = 
MAKE_PAIR(BgL_idzf3zf3_469, BgL_arg2136z00_486); } 
BgL_arg2127z00_483 = 
MAKE_PAIR(BgL_arg2132z00_484, BNIL); } 
BgL_arg2123z00_481 = 
MAKE_PAIR(BgL_arg2126z00_482, BgL_arg2127z00_483); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg2123z00_481); } 
{ /* ./Object/predicate.scm 130 */
obj_t BgL_arg2162z00_497;
{ /* ./Object/predicate.scm 130 */
obj_t BgL_arg2167z00_499;
{ /* ./Object/predicate.scm 130 */
obj_t BgL_arg2172z00_501;obj_t BgL_arg2173z00_502;
if(
BGl_inlinezd2predzf3z21zzobject_predicatez00())
{ /* ./Object/predicate.scm 130 */
BgL_arg2172z00_501 = 
CNST_TABLE_REF(((long)14)); }  else 
{ /* ./Object/predicate.scm 130 */
BgL_arg2172z00_501 = 
CNST_TABLE_REF(((long)15)); } 
{ /* ./Object/predicate.scm 131 */
obj_t BgL_arg2178z00_504;obj_t BgL_arg2179z00_505;
{ /* ./Object/predicate.scm 131 */
obj_t BgL_arg2182z00_506;
BgL_arg2182z00_506 = 
MAKE_PAIR(BgL_objz00_471, BNIL); 
BgL_arg2178z00_504 = 
MAKE_PAIR(BgL_predzd2idzd2_470, BgL_arg2182z00_506); } 
{ /* ./Object/predicate.scm 132 */
obj_t BgL_arg2187z00_507;
{ /* ./Object/predicate.scm 122 */
obj_t BgL_list2193z00_510;
BgL_list2193z00_510 = 
MAKE_PAIR(BgL_objz00_471, BNIL); 
BgL_arg2187z00_507 = 
BGl_makezd2privatezd2sexpz00zzast_privatez00(
CNST_TABLE_REF(((long)17)), BgL_idz00_468, BgL_list2193z00_510); } 
BgL_arg2179z00_505 = 
MAKE_PAIR(BgL_arg2187z00_507, BNIL); } 
BgL_arg2173z00_502 = 
MAKE_PAIR(BgL_arg2178z00_504, BgL_arg2179z00_505); } 
BgL_arg2167z00_499 = 
MAKE_PAIR(BgL_arg2172z00_501, BgL_arg2173z00_502); } 
{ /* ./Object/predicate.scm 130 */
obj_t BgL_list2169z00_500;
BgL_list2169z00_500 = 
MAKE_PAIR(BgL_srczd2defzd2_8, BNIL); 
BgL_arg2162z00_497 = 
BGl_epairifyza2za2zztools_miscz00(BgL_arg2167z00_499, BgL_list2169z00_500); } } 
{ /* ./Object/predicate.scm 129 */
obj_t BgL_list2164z00_498;
BgL_list2164z00_498 = 
MAKE_PAIR(BgL_arg2162z00_497, BNIL); 
return BgL_list2164z00_498;} } } } } } } } } 
}



/* import-java-class-pred! */
BGL_EXPORTED_DEF obj_t BGl_importzd2javazd2classzd2predz12zc0zzobject_predicatez00(BgL_jclassz00_bglt BgL_classz00_10, obj_t BgL_srczd2defzd2_11, obj_t BgL_modulez00_12)
{ AN_OBJECT;
{ /* ./Object/predicate.scm 138 */
{ /* ./Object/predicate.scm 139 */
bool_t BgL_test2213z00_517;
BgL_test2213z00_517 = 
BGl_inlinezd2predzf3z21zzobject_predicatez00(); 
if(BgL_test2213z00_517)
{ /* ./Object/predicate.scm 143 */
obj_t BgL_arg2215z00_518;
{ /* ./Object/predicate.scm 143 */
bool_t BgL_test2217z00_519;
BgL_test2217z00_519 = 
(BgL_modulez00_12==BGl_za2moduleza2z00zzmodule_modulez00); 
if(BgL_test2217z00_519)
{ /* ./Object/predicate.scm 143 */
BgL_arg2215z00_518 = 
CNST_TABLE_REF(((long)18)); }  else 
{ /* ./Object/predicate.scm 143 */
BgL_arg2215z00_518 = 
CNST_TABLE_REF(((long)16)); } } 
return 
BGl_genzd2javazd2classzd2predz12zc0zzobject_predicatez00(BgL_classz00_10, BgL_srczd2defzd2_11, BgL_arg2215z00_518);}  else 
{ /* ./Object/predicate.scm 145 */
obj_t BgL_idz00_520;
{ /* ./Object/predicate.scm 145 */
BgL_typez00_bglt BgL_obj1003z00_712;
BgL_obj1003z00_712 = 
(BgL_typez00_bglt)(BgL_classz00_10); 
BgL_idz00_520 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_712))->BgL_idz00); } 
{ /* ./Object/predicate.scm 145 */
obj_t BgL_idzf3zf3_521;
{ /* ./Object/predicate.scm 146 */
obj_t BgL_list2237z00_530;
{ /* ./Object/predicate.scm 146 */
obj_t BgL_arg2239z00_531;
{ /* ./Object/predicate.scm 146 */
obj_t BgL_auxz00_963;
BgL_auxz00_963 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg2239z00_531 = 
MAKE_PAIR(BgL_auxz00_963, BNIL); } 
BgL_list2237z00_530 = 
MAKE_PAIR(BgL_idz00_520, BgL_arg2239z00_531); } 
BgL_idzf3zf3_521 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2237z00_530); } 
{ /* ./Object/predicate.scm 146 */
obj_t BgL_predzd2idzd2_522;
{ /* ./Object/predicate.scm 147 */
obj_t BgL_list2231z00_528;
{ /* ./Object/predicate.scm 147 */
obj_t BgL_arg2233z00_529;
{ /* ./Object/predicate.scm 147 */
obj_t BgL_auxz00_968;
BgL_auxz00_968 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2233z00_529 = 
MAKE_PAIR(BgL_auxz00_968, BNIL); } 
BgL_list2231z00_528 = 
MAKE_PAIR(BgL_idz00_520, BgL_arg2233z00_529); } 
BgL_predzd2idzd2_522 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2231z00_528); } 
{ /* ./Object/predicate.scm 147 */
obj_t BgL_superz00_523;
{ 
obj_t BgL_auxz00_973;
{ /* ./Object/predicate.scm 148 */
BgL_objectz00_bglt BgL_auxz00_974;
BgL_auxz00_974 = 
(BgL_objectz00_bglt)(BgL_classz00_10); 
BgL_auxz00_973 = 
BGL_OBJECT_WIDENING(BgL_auxz00_974); } 
BgL_superz00_523 = 
(((BgL_jclassz00_bglt)CREF(BgL_auxz00_973))->BgL_itszd2superzd2); } 
{ /* ./Object/predicate.scm 148 */

{ /* ./Object/predicate.scm 149 */
bool_t BgL_test2219z00_524;
BgL_test2219z00_524 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_523, BGl_jclassz00zzobject_classz00); 
if(BgL_test2219z00_524)
{ /* ./Object/predicate.scm 151 */
obj_t BgL_arg2221z00_525;
{ /* ./Object/predicate.scm 151 */
obj_t BgL_arg2225z00_527;
{ /* ./Object/predicate.scm 151 */
obj_t BgL_auxz00_980;
BgL_auxz00_980 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg2225z00_527 = 
MAKE_PAIR(BgL_auxz00_980, BNIL); } 
BgL_arg2221z00_525 = 
MAKE_PAIR(BgL_predzd2idzd2_522, BgL_arg2225z00_527); } 
BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_12, BgL_arg2221z00_525, BNIL); }  else 
{ /* ./Object/predicate.scm 149 */BFALSE; } } 
return BNIL;} } } } } } } 
}



/* _import-java-class-pred!2417 */
obj_t BGl__importzd2javazd2classzd2predz122417zc0zzobject_predicatez00(obj_t BgL_envz00_723, obj_t BgL_classz00_724, obj_t BgL_srczd2defzd2_725, obj_t BgL_modulez00_726)
{ AN_OBJECT;
{ /* ./Object/predicate.scm 138 */
return 
BGl_importzd2javazd2classzd2predz12zc0zzobject_predicatez00(
(BgL_jclassz00_bglt)(BgL_classz00_724), BgL_srczd2defzd2_725, BgL_modulez00_726);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzobject_predicatez00()
{ AN_OBJECT;
{ /* ./Object/predicate.scm 21 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzobject_predicatez00()
{ AN_OBJECT;
{ /* ./Object/predicate.scm 21 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)59211), "object_predicate"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "object_predicate"); 
BGl_modulezd2initializa7ationz75zztools_miscz00(((long)64117), "object_predicate"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "object_predicate"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25186), "object_predicate"); 
BGl_modulezd2initializa7ationz75zztype_toolsz00(((long)15091), "object_predicate"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)25848), "object_predicate"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)44246), "object_predicate"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)51504), "object_predicate"); 
BGl_modulezd2initializa7ationz75zzast_privatez00(((long)8704), "object_predicate"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)30791), "object_predicate"); 
BGl_modulezd2initializa7ationz75zzobject_structz00(((long)41062), "object_predicate"); 
BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long)44183), "object_predicate"); 
BGl_modulezd2initializa7ationz75zzobject_toolsz00(((long)58597), "object_predicate"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "object_predicate"); 
BGl_modulezd2initializa7ationz75zzmodule_impusez00(((long)12782), "object_predicate"); 
return 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)14260), "object_predicate");} 
}

